org.yaml.snakeyaml.constructor

## Class CustomClassLoaderConstructor

- java.lang.Object
- - org.yaml.snakeyaml.constructor.BaseConstructor
  - - org.yaml.snakeyaml.constructor.SafeConstructor
    - - org.yaml.snakeyaml.constructor.Constructor
      - - org.yaml.snakeyaml.constructor.CustomClassLoaderConstructor

    public class CustomClassLoaderConstructor
    extends Constructor

Construct instances with a custom Class Loader.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.constructor.Constructor

`Constructor.ConstructMapping, Constructor.ConstructScalar, Constructor.ConstructSequence, Constructor.ConstructYamlObject`

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.constructor.SafeConstructor

`SafeConstructor.ConstructUndefined, SafeConstructor.ConstructYamlBinary, SafeConstructor.ConstructYamlBool, SafeConstructor.ConstructYamlFloat, SafeConstructor.ConstructYamlInt, SafeConstructor.ConstructYamlMap, SafeConstructor.ConstructYamlNull, SafeConstructor.ConstructYamlOmap, SafeConstructor.ConstructYamlPairs, SafeConstructor.ConstructYamlSeq, SafeConstructor.ConstructYamlSet, SafeConstructor.ConstructYamlStr, SafeConstructor.ConstructYamlTimestamp`

### Field Summary

### Fields inherited from class org.yaml.snakeyaml.constructor.SafeConstructor

`undefinedConstructor`

### Fields inherited from class org.yaml.snakeyaml.constructor.BaseConstructor

`composer, loadingConfig, rootTag, typeDefinitions, typeTags, yamlClassConstructors, yamlConstructors, yamlMultiConstructors`

### Constructor Summary

Constructors
Constructor and Description
`CustomClassLoaderConstructor(Class<? extends Object> theRoot, ClassLoader theLoader)`
`CustomClassLoaderConstructor(ClassLoader cLoader)`

### Method Summary

Methods
`protected Class<?>` `getClassForName(String name)`

### Methods inherited from class org.yaml.snakeyaml.constructor.Constructor

`getClassForNode`

### Methods inherited from class org.yaml.snakeyaml.constructor.SafeConstructor

`constructMapping2ndStep, constructSet2ndStep, createLongOrBigInteger, flattenMapping, processDuplicateKeys`

### Methods inherited from class org.yaml.snakeyaml.constructor.BaseConstructor

`addTypeDescription, checkData, constructArray, constructArrayStep2, constructDocument, constructMapping, constructObject, constructObjectNoCheck, constructScalar, constructSequence, constructSequenceStep2, constructSet, constructSet, createArray, createDefaultList, createDefaultMap, createDefaultSet, finalizeConstruction, getConstructor, getData, getPropertyUtils, getSingleData, isAllowDuplicateKeys, isEnumCaseSensitive, isExplicitPropertyUtils, isWrappedToRootException, newInstance, newInstance, newInstance, newList, newMap, newSet, postponeMapFilling, postponeSetFilling, setAllowDuplicateKeys, setComposer, setEnumCaseSensitive, setPropertyUtils, setWrappedToRootException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomClassLoaderConstructor

    public CustomClassLoaderConstructor(ClassLoader cLoader)

#### CustomClassLoaderConstructor

    public CustomClassLoaderConstructor(Class<? extends Object> theRoot,
                                ClassLoader theLoader)

### Method Detail

#### getClassForName

    protected Class<?> getClassForName(String name)
                                throws ClassNotFoundException

Overrides:
  `getClassForName` in class `Constructor`
Throws:
  `ClassNotFoundException`